Subject: bug#16008: closed (Re: bug#16008: semantic/grammar-wy.el cannot be bootstrapped)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Apr 2021 15:52:02 +0000

Your bug report

#16008: semantic/grammar-wy.el cannot be bootstrapped

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16008: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16008
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16008: semantic/grammar-wy.el cannot be bootstrapped
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Mon, 19 Apr 2021 11:51:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 28.1

Stefan Monnier wrote:

> In the mean time I suggest the patch below which I recently sent to
> emacs-devel.

It seems this patch was applied in 214dfbf, but sadly the discussion
wasn't sent to this bug report.

Subject: semantic/grammar-wy.el cannot be bootstrapped
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 29 Nov 2013 21:07:30 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 24.3.50
User: emacs
Usertags: cedet

semantic/grammar-wy.el is a generated file and therefore ideally should
not be kept in the Emacs VCS.

It is generated by semantic/grammar.el.
semantic/grammar.el requires semantic/grammar-wy.el, therefore
it is not possible to bootstrap without semantic/grammar-wy.el already
present.

I should also note that the version of semantic/grammar-wy.el in the
Emacs trunk does not match up with its sources.

It contains:

  (require 'semantic)

Yet if you regenerate it, it contains:

  (require 'semantic/lex)
  (eval-when-compile (require 'semantic/bovine))